
Application: gvSIG desktop - gvSIG bugs #369
02/23/2012 06:14 PM - Cesar Ordiñana

Status: Closed % Done: 100%
Priority: Normal Spent time: 0.00 hour
Assignee: Jose Manuel Vivó Arnal
Category:
Target version:
Severity: Add-on version: 1.0.0-SNAPSHOT
gvSIG version: 2.0.0 Add-on build: 9
gvSIG build: 2045 Add-on resolve version:1.0.0-SNAPSHOT
Operative System: Add-on resolve build: 10
Keywords: Proyecto:
Has patch: No Hito:
Add-on name: Thematic maps: Creator (org.gvsig.educa.thematicmap.app.editor)
Description

The thematic map files are generated with a folder for each layer in the view, containing the layer data files.

But as of now each folder into the thematic map contains all the view files, so for each layer all the data files are duplicated.

To solve it just don't create a folder for each layer, it will also avoid problems with characters in the folder names.

History
#1 - 03/28/2012 12:43 PM - Jose Manuel Vivó Arnal
- Status changed from New to Fixed
- % Done changed from 0 to 100

Fixed in gvsig-educa-mapas-tematicos:r167

All layer-files copy to layer-root folder.
Compares files by name, length and time stamp to determine that is the same file. Else copy as new file (avoid name conflicts).
Create a impl test to check it.

#2 - 02/26/2014 12:40 PM - Álvaro Anguix
- Status changed from Fixed to Closed
